Author Topic: HP Photosmart c4750 All-in-one Printer Network Setup (SOLVED)  (Read 4248 times)

0 Members and 1 Guest are viewing this topic.

Offline NastyCodes

  • Jr. Member
  • **
  • Posts: 35
  • Karma: 0
  • I've just joined!
    • View Profile
    • Awards
I have always wanted to have my printer wireless capable, and have racked my brain to understand why it won't work.  It does work via. USB and Simple Scan also works.  I could just push forward and bugger things up on my own, but thought I would try here first.  Seems as though it is fully supported here:
http://hplipopensource.com/hplip-web/models/photosmart/photosmart_c4700_series.html#note1
But I guess that don't always mean "Fully Supported" in Linux terms lol.

Was also wondering about the older HPLIP driver package: 3.9.8  It has my printer on the list during that period in time, don't know if that matters.  Under this Title at the link below.  HPLIP 3.9.8 - This release has the following changes:
http://hplipopensource.com/hplip-web/release_notes.html

I'm prepared to do the necessary work to get this going if you guys have the time.  I also ran hp-check -r and will try to post the outcome.  It suggested that I run hp-doctor, but then also suggested that proceeding could break something.  Going off memory here, so if you want me to run that again I will do so.  There are many Errors and Incompatible Warnings.  All in all it's just too much info. for me to process.

Thanks, NastyCodes

Code: [Select]
chris@chris-HP-Compaq-nx7400-EN352UTR-ABA:~ > sudo hp-check -r
[sudo] password for chris:
Saving output in log file: /home/chris/hp-check.log

HP Linux Imaging and Printing System (ver. 3.14.3)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-13 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or
.run) to determine if the proper dependencies are installed to successfully compile HPLIP.                         
2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or 
an already built HPLIP supplied tarball has the proper dependencies installed to successfully run.                 
3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases     
(both compile- and run-time dependencies).                                                                         

Check types:                                                                                                       
a. EXTERNALDEP - External Dependencies                                                                             
b. GENERALDEP - General Dependencies (required both at compile and run time)                                       
c. COMPILEDEP - Compile time Dependencies                                                                           
d. [All are run-time checks]                                                                                       
PYEXT SCANCONF QUEUES PERMISSION                                                                                   
                                                                                                                   
Status Types:                                                                                                       
    OK                                                                                                             
    MISSING       - Missing Dependency or Permission or Plug-in                                                     
    INCOMPAT      - Incompatible dependency-version or Plugin-version                                               

warning: linuxmint-17.1 version is not supported. Using linuxmint-16 versions dependencies to verify and install...

---------------
| SYSTEM INFO |
---------------

 Kernel: 3.13.0-37-generic #64-Ubuntu SMP Mon Sep 22 21:28:38 UTC 2014 GNU/Linux
 Host: chris-HP-Compaq-nx7400-EN352UTR-ABA
 Proc: 3.13.0-37-generic #64-Ubuntu SMP Mon Sep 22 21:28:38 UTC 2014 GNU/Linux
 Distribution: linuxmint 17.1
 Bitness: 64 bit


-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.14.3
HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for linuxmint distro  17.1 version

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.14.3

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/hplip/HP
ppdbase=/usr/share/ppd/hplip
doc=/usr/share/doc/hplip-doc/HTML
html=/usr/share/doc/hplip-3.14.3
icon=no
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv
bin=/usr/bin

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=yes
foomatic-drv-install=yes
foomatic-ppd-install=yes
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.14.3
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=yes
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no


Current contents of '/var/lib/hp/hplip.state' file:
Plugins are not installed. Could not access file: No such file or directory

Current contents of '~/.hplip/hplip.conf' file:
[settings]
systray_visible=0
systray_messages=0

[last_used]
device_uri="hp:/usb/Photosmart_C4700_series?serial=CN01TMZ12Q05HD"
printer_name=
working_dir=.

[commands]
scan=/usr/bin/xsane -V %SANE_URI%

[refresh]
rate=30
enable=false
type=1

[polling]
enable=false
interval=5
device_list=

[fax]
voice_phone=
email_address=

[upgrade]
notify_upgrade=false
last_upgraded_time=1447703327.8051
pending_upgrade_time=0

[installation]
date_time=11/09/2015 15:59:42
version=3.14.3

 <Package-name>        <Package-Desc>      <Required/Optional> <Min-Version> <Installed-Version> <Status>   <Comment>

--------------------------
|  External Dependencies |
--------------------------

 policykit            Admin-Policy-framework    OPTIONAL        -               0.105           OK         -
 gs                   Ghostscript               REQUIRED        7.05            9.10            OK         -
 network              Network-wget              OPTIONAL        -               1.15            OK         -
 scanimage            Shell-Scanning            OPTIONAL        1.0             1.0.23          OK         -
 error: avahi-utils   avahi-utils               OPTIONAL        -               -               MISSING    'avahi-utils needs to be installed'
 error: dbus          DBus                      REQUIRED        -               1.6.18          MISSING    'DBUS may not be installed or not running'
 error: cups          CUPS                      REQUIRED        1.1             -               INCOMPAT   'CUPS may not be installed or not running'
 xsane                SANE-GUI                  OPTIONAL        0.9             0.998           OK         -

-------------------------
|  General Dependencies |
-------------------------

 reportlab            Python-PDF-Lib            OPTIONAL        2.0             3.0             OK         -
 error: libcrypto     OpenSSL-Crypto-Lib        REQUIRED        -               1.0.1           MISSING    'libcrypto needs to be installed'
 pil                  Python-Image-Lib          OPTIONAL        -               1.1.7           OK         -
 pyqt4-dbus           PyQt4-DBUS                REQUIRED        4.0             4.10.4          OK         -
 error: libjpeg       JPEG-Lib                  REQUIRED        -               -               MISSING    'libjpeg needs to be installed'
 libpthread           POSIX-Threads-Lib         REQUIRED        -               2.19            OK         -
 python-dbus          Python-DBUS               REQUIRED        0.80.0          1.2.0           OK         -
 error: python-devel  Python-SDK                REQUIRED        2.2             2.7.6           MISSING    'python-devel needs to be installed'
 pyqt4                Python-Qt4                REQUIRED        4.0             4.10.4          OK         -
 error: cups-devel    CUPS-SDK                  REQUIRED        -               -               MISSING    'cups-devel needs to be installed'
 error: sane-devel    SANE-SDK                  REQUIRED        -               -               MISSING    'sane-devel needs to be installed'
 error: libusb        USB-Lib                   REQUIRED        -               1.0             MISSING    'libusb needs to be installed'
 sane                 Scan-Lib                  REQUIRED        -               -               OK         -
 error: cups-image    CUPS-Image-Lib            REQUIRED        -               -               MISSING    'cups-image needs to be installed'
 error: libnetsnmp-devel SNMP-Networking-SDK       REQUIRED        5.0.9           -               MISSING    'libnetsnmp-devel needs to be installed'
 python-xml           Python-XML-Lib            REQUIRED        -               2.1.0           OK         -
 python-notify        Desktop-notifications     OPTIONAL        -               -               OK         -

----------------------
|  Python Extentions |
----------------------

 cupsext              CUPS-Extension            REQUIRED        -               3.14.3          OK         -
 pcardext             PhotoCard-Extension       REQUIRED        -               3.14.3          OK         -
 hpmudext             IO-Extension              REQUIRED        -               3.14.3          OK         -

-----------------------
|  Scan Configuration |
-----------------------

 hpaio                HPLIP-SANE-Backend        REQUIRED        -               3.14.3          OK         'hpaio found in /etc/sane.d/dll.conf'
 scanext              Scan-SANE-Extension       REQUIRED        -               3.14.3          OK         -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

No Scanner found.

--------------------------
| DISCOVERED USB DEVICES |
--------------------------

No devices found.

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

 
Photosmart_C4700
----------------
Type: Unknown
Device URI: dnssd://Photosmart%20C4700%20series%20%5B8FBD85%5D._pdl-datastream._tcp.local/
PPD: /etc/cups/ppd/Photosmart_C4700.ppd
PPD Description: HP Photosmart c4700 Series, hpcups 3.14.3
Printer Waiting for printer to finish.00 is idle.  enabled since Fri 13 May 2016 07:56:02 PM EDT
warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend for HP-Devices.


--------------
| PERMISSION |
--------------

 
-----------
| SELINUX |
-----------

SELinux         disabled        Optional   -   -   OK       -
 
-----------
| SUMMARY |
-----------

Missing Required Dependencies
-----------------------------
error: 'libdbus-1-dev' package is missing/incompatible
error: 'libcups2' package is missing/incompatible
error: 'openssl' package is missing/incompatible
error: 'libjpeg8-dev' package is missing/incompatible
error: 'python-dev' package is missing/incompatible
error: 'libcups2-dev' package is missing/incompatible
error: 'cups-bsd' package is missing/incompatible
error: 'cups-client' package is missing/incompatible
error: 'libsane-dev' package is missing/incompatible
error: 'libusb-1.0.0-dev' package is missing/incompatible
error: 'libusb-dev' package is missing/incompatible
error: 'libcupsimage2-dev' package is missing/incompatible
error: 'libsnmp-dev' package is missing/incompatible
error: 'snmp-mibs-downloader' package is missing/incompatible

Missing Optional Dependencies
-----------------------------
error: 'avahi-utils' package is missing/incompatible

Total Errors: 11
Total Warnings: 1

Run 'hp-doctor' command to prompt and fix the issues.

Done.
chris@chris-HP-Compaq-nx7400-EN352UTR-ABA:~ >
                                                                                                                                                                                   
                                                                                                                                                                                   
I see that these are in fact installed:
 error: dbus          DBus                      REQUIRED        -               1.6.18          MISSING    'DBUS may not be installed or not running'
 error: cups          CUPS                      REQUIRED        1.1             -               INCOMPAT   'CUPS may not be installed or not running'

These are not Installed:
 error: avahi-utils   avahi-utils               OPTIONAL        -               -               MISSING    'avahi-utils needs to be installed'

These do not exist in Synaptic Package Manager:
 error: libjpeg       JPEG-Lib                  REQUIRED        -               -               MISSING    'libjpeg needs to be installed'
 error: cups-devel    CUPS-SDK                  REQUIRED        -               -               MISSING    'cups-devel needs to be installed'

Again, there is a lot going on here so think I will not post anymore that I see.  This list would be huge.



« Last Edit: May 29, 2016, 09:54:51 pm by NastyCodes »

Offline NastyCodes

  • Jr. Member
  • **
  • Posts: 35
  • Karma: 0
  • I've just joined!
    • View Profile
    • Awards
Re: HP Photosmart c4750 All-in-one Printer Network Setup
« Reply #1 on: May 14, 2016, 02:51:27 am »
Bad Post

Thanks, NastyCodes
« Last Edit: May 14, 2016, 03:37:28 am by NastyCodes »

Offline NastyCodes

  • Jr. Member
  • **
  • Posts: 35
  • Karma: 0
  • I've just joined!
    • View Profile
    • Awards
Re: HP Photosmart c4750 All-in-one Printer Network Setup
« Reply #2 on: May 14, 2016, 03:10:45 am »
Wanted to post this also to see what I did wrong in the first post, this is the outcome of "hp-doctor"  Clearly still doing something wrong posting here?
Code: [Select]
[code

hp-doctor
                                                                                                                                                                                   
HP Linux Imaging and Printing System (ver. 3.14.3)
Self Diagnse Utility and Healing Utility ver. 1.0

Copyright (c) 2001-13 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

 

Checking for Deprecated items....
error: This distro (i.e linuxmint  17.1) is either deprecated or not yet supported.
The diagnosis is limited on unsupported platforms. Do you want to continue?(y=yes*, n=no):
]
« Last Edit: May 14, 2016, 03:13:39 am by NastyCodes »

Online Mark Greaves (PCNetSpec)

  • Administrator
  • Hero Member
  • *****
  • Posts: 16979
  • Karma: 429
  • Gender: Male
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
    • Awards
Re: HP Photosmart c4750 All-in-one Printer Network Setup
« Reply #3 on: May 14, 2016, 06:47:51 pm »
Have you installed hplip-gui ?
WARNING: You are logged into reality as 'root'
logging in as 'insane' is the only safe option.
pcnetspec.co.uk

Offline NastyCodes

  • Jr. Member
  • **
  • Posts: 35
  • Karma: 0
  • I've just joined!
    • View Profile
    • Awards
Re: HP Photosmart c4750 All-in-one Printer Network Setup
« Reply #4 on: May 14, 2016, 08:33:35 pm »
Have you installed hplip-gui ?

Yes, I just looked to confirm.

Offline NastyCodes

  • Jr. Member
  • **
  • Posts: 35
  • Karma: 0
  • I've just joined!
    • View Profile
    • Awards
Re: HP Photosmart c4750 All-in-one Printer Network Setup
« Reply #5 on: May 14, 2016, 10:28:59 pm »
Mark, I was playing around at localhost631 and got it to print...once, and only once! lol :-\

I also was playing around with the hplip-gui but got no where.  I have asked others all over the internet for years to fix this, I think it can be done with just the right input, but that is beyond me.  Seems as though there are many ways to do this, so one might/should work.  I will try to post some screenshots and hope that will be helpful.  Looked for directions to Post Screenshots but did not find, so will just try Insert Image.

This is what I saw first, so I then went to localhost which will reflect the next screenshot.



Then this



Then Added the Printer again to experiment, this is when it printed once.



Then tried this.  I should probably try the Wireless with USB Connection but have tried that before with no success.  I put the Router Address in there and it all froze up, had to restart pc.



Hope I didn't make a mess of this Post
« Last Edit: May 14, 2016, 10:40:36 pm by NastyCodes »

Online Mark Greaves (PCNetSpec)

  • Administrator
  • Hero Member
  • *****
  • Posts: 16979
  • Karma: 429
  • Gender: Male
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
    • Awards
Re: HP Photosmart c4750 All-in-one Printer Network Setup
« Reply #6 on: May 15, 2016, 09:20:04 am »
hplip-gui is normally very good at finding HP printers on a network  ???

Anyway, you appear to have the printer listed twice in CUPS .. if I were you I'd remove them both .. then see if EITHER hplip-gui or CPS can find it.

something else I've noticed .. you've manually added an IP for the printer in hplip-gui of 192.168.2.1 .. this looks more like your routers IP, do you know for sure that's your printers IP ?

Have you given the printer a static IP address ?
WARNING: You are logged into reality as 'root'
logging in as 'insane' is the only safe option.
pcnetspec.co.uk

Offline NastyCodes

  • Jr. Member
  • **
  • Posts: 35
  • Karma: 0
  • I've just joined!
    • View Profile
    • Awards
Re: HP Photosmart c4750 All-in-one Printer Network Setup
« Reply #7 on: May 15, 2016, 06:18:01 pm »
hplip-gui is normally very good at finding HP printers on a network  ???
That's why I Added the Printer again at localhost because it wasn't working.  I think the first entry was from doing this with a USB Connection, without localhost.
Anyway, you appear to have the printer listed twice in CUPS .. if I were you I'd remove them both .. then see if EITHER hplip-gui or CPS can find it.
I'll try it again.
something else I've noticed .. you've manually added an IP for the printer in hplip-gui of 192.168.2.1 .. this looks more like your routers IP, do you know for sure that's your printers IP ?
Yes, that's what I said above in between the screenshots.  This is the IP of the Router, yes.  I don't see an IP on the printer.
Have you given the printer a static IP address ?
I will have to google this

Just looked it up Mark and think I got what I need.  Will report back if successful.
« Last Edit: May 15, 2016, 06:24:35 pm by NastyCodes »

Offline NastyCodes

  • Jr. Member
  • **
  • Posts: 35
  • Karma: 0
  • I've just joined!
    • View Profile
    • Awards
Re: HP Photosmart c4750 All-in-one Printer Network Setup
« Reply #8 on: May 15, 2016, 08:45:36 pm »
I guess this is where I am at a roadblock " the printer a static IP address" at the link below I will have to follow:
"Method III - If hp-wificonfig/hp-setup fails and printer do not have panel" because I could not print it from the printer, will have to get it from Windows.  For some reason the printer won't do it. 

Wait, think it is out of ink?  Was printing fine then nothing, no warning till just now.  I'll get ink then Print  the static IP address and finish the installation, sorry for the false alarm.

Online Mark Greaves (PCNetSpec)

  • Administrator
  • Hero Member
  • *****
  • Posts: 16979
  • Karma: 429
  • Gender: Male
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
    • Awards
Re: HP Photosmart c4750 All-in-one Printer Network Setup
« Reply #9 on: May 16, 2016, 01:42:49 pm »
No problem, just let me know if you're still having problems ;)
WARNING: You are logged into reality as 'root'
logging in as 'insane' is the only safe option.
pcnetspec.co.uk

Offline NastyCodes

  • Jr. Member
  • **
  • Posts: 35
  • Karma: 0
  • I've just joined!
    • View Profile
    • Awards
Re: HP Photosmart c4750 All-in-one Printer Network Setup
« Reply #10 on: May 29, 2016, 09:54:10 pm »
I'm all good now Mark, thank you for the help!  I just did as you said and ran the "HP Device Manager" while connected via USB and it all set up quite well.  Ran in to multiple issues all at once so got frustrated and had to regroup.

Online Mark Greaves (PCNetSpec)

  • Administrator
  • Hero Member
  • *****
  • Posts: 16979
  • Karma: 429
  • Gender: Male
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
    • Awards
Re: HP Photosmart c4750 All-in-one Printer Network Setup (SOLVED)
« Reply #11 on: May 30, 2016, 09:53:03 pm »
Great stuff, glad to hear you're all sorted now :)
WARNING: You are logged into reality as 'root'
logging in as 'insane' is the only safe option.
pcnetspec.co.uk

 


SimplePortal 2.3.3 © 2008-2010, SimplePortal